# -*- coding: utf-8 -*-

'''
 ███▄    █  █    ██  ███▄ ▄███▓ ▄▄▄▄   ▓█████  ██▀███    ██████ 
 ██ ▀█   █  ██  ▓██▒▓██▒▀█▀ ██▒▓█████▄ ▓█   ▀ ▓██ ▒ ██▒▒██    ▒ 
▓██  ▀█ ██▒▓██  ▒██░▓██    ▓██░▒██▒ ▄██▒███   ▓██ ░▄█ ▒░ ▓██▄   
▓██▒  ▐▌██▒▓▓█  ░██░▒██    ▒██ ▒██░█▀  ▒▓█  ▄ ▒██▀▀█▄    ▒   ██▒
▒██░   ▓██░▒▒█████▓ ▒██▒   ░██▒░▓█  ▀█▓░▒████▒░██▓ ▒██▒▒██████▒▒
░ ▒░   ▒ ▒ ░▒▓▒ ▒ ▒ ░ ▒░   ░  ░░▒▓███▀▒░░ ▒░ ░░ ▒▓ ░▒▓░▒ ▒▓▒ ▒ ░
░ ░░   ░ ▒░░░▒░ ░ ░ ░  ░      ░▒░▒   ░  ░ ░  ░  ░▒ ░ ▒░░ ░▒  ░ ░
   ░   ░ ░  ░░░ ░ ░ ░      ░    ░    ░    ░     ░░   ░ ░  ░  ░  
         ░    ░            ░    ░         ░  ░   ░           ░  
                                     ░                          

    NuMbErS Add-on

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
'''


import os,sys,urlparse

from resources.lib.modules import control
from resources.lib.modules import trakt
inprogress_db = control.setting('inprogress_db')

sysaddon = sys.argv[0]

syshandle = int(sys.argv[1])

artPath = control.artPath()

addonFanart = control.addonFanart()

imdbCredentials = False if control.setting('imdb.user') == '' else True

traktCredentials = trakt.getTraktCredentialsInfo()

traktIndicators = trakt.getTraktIndicatorsInfo()

queueMenu = control.lang(32065).encode('utf-8')

	

class navigator:
    def root(self):
        if inprogress_db == 'true': self.addDirectoryItem("In Progress", 'movieProgress', 'icon.gif', 'icon.gif')
        self.addDirectoryItem('[B][COLOR yellow]• [/COLOR][/B][COLOR ghostwhite]Movie Action[/COLOR][B][COLOR yellow] •[/COLOR][/B]', 'actionNavigator', 'boxsets14.png', 'DefaultMovies.png')
        self.addDirectoryItem('[B][COLOR yellow]• [/COLOR][/B][COLOR ghostwhite]Movie Adventure[/COLOR][B][COLOR yellow] •[/COLOR][/B]', 'adventureNavigator', 'boxsets14.png', 'DefaultMovies.png')
        self.addDirectoryItem('[B][COLOR yellow]• [/COLOR][/B][COLOR ghostwhite]Movie Animation[/COLOR][B][COLOR yellow] •[/COLOR][/B]', 'animationNavigator', 'boxsets14.png', 'DefaultMovies.png')
        self.addDirectoryItem('[B][COLOR yellow]• [/COLOR][/B][COLOR ghostwhite]Movie Comedy[/COLOR][B][COLOR yellow] •[/COLOR][/B]', 'comedyNavigator', 'boxsets14.png', 'DefaultMovies.png')
        self.addDirectoryItem('[B][COLOR yellow]• [/COLOR][/B][COLOR ghostwhite]Movie Crime[/COLOR][B][COLOR yellow] •[/COLOR][/B]', 'crimeNavigator', 'boxsets14.png', 'DefaultMovies.png')
        self.addDirectoryItem('[B][COLOR yellow]• [/COLOR][/B][COLOR ghostwhite]Movie Drama[/COLOR][B][COLOR yellow] •[/COLOR][/B]', 'dramaNavigator', 'boxsets14.png', 'DefaultMovies.png')
        self.addDirectoryItem('[B][COLOR yellow]• [/COLOR][/B][COLOR ghostwhite]Movie Family[/COLOR][B][COLOR yellow] •[/COLOR][/B]', 'familyNavigator', 'boxsets14.png', 'DefaultMovies.png')
        self.addDirectoryItem('[B][COLOR yellow]• [/COLOR][/B][COLOR ghostwhite]Movie Fantasy[/COLOR][B][COLOR yellow] •[/COLOR][/B]', 'fantasyNavigator', 'boxsets14.png', 'DefaultMovies.png')
        self.addDirectoryItem('[B][COLOR yellow]• [/COLOR][/B][COLOR ghostwhite]Movie Horror[/COLOR][B][COLOR yellow] •[/COLOR][/B]', 'horrorNavigator', 'boxsets14.png', 'DefaultMovies.png')
        self.addDirectoryItem('[B][COLOR yellow]• [/COLOR][/B][COLOR ghostwhite]Movie Mystery[/COLOR][B][COLOR yellow] •[/COLOR][/B]', 'mysteryNavigator', 'boxsets14.png', 'DefaultMovies.png')
        self.addDirectoryItem('[B][COLOR yellow]• [/COLOR][/B][COLOR ghostwhite]Movie Romance[/COLOR][B][COLOR yellow] •[/COLOR][/B]', 'romanceNavigator', 'boxsets14.png', 'DefaultMovies.png')
        self.addDirectoryItem('[B][COLOR yellow]• [/COLOR][/B][COLOR ghostwhite]Movie Sci-Fi[/COLOR][B][COLOR yellow] •[/COLOR][/B]', 'scifiNavigator', 'boxsets14.png', 'DefaultMovies.png')
        self.addDirectoryItem('[B][COLOR yellow]• [/COLOR][/B][COLOR ghostwhite]Movie Thriller[/COLOR][B][COLOR yellow] •[/COLOR][/B]', 'thrillerNavigator', 'boxsets14.png', 'DefaultMovies.png')
        downloads = True if control.setting('downloads') == 'true' and (len(control.listDir(control.setting('movie.download.path'))[0]) > 0) else False
        if downloads == True: self.addDirectoryItem(32009, 'downloadNavigator', 'downloads.png', 'DefaultFolder.png')

        self.endDirectory()

	
    def action(self, lite=False):
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]12 Rounds', 'movies2&url=tmdbrounds', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]3 Ninjas', 'movies2&url=tmdb3nin', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]300', 'movies2&url=tmdb300', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Agent Cody Banks', 'movies2&url=tmdbagent', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]American Ninja', 'movies2&url=tmdbamninja', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Avengers', 'movies2&url=tmdbavengers', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]AVP', 'movies2&url=tmdbavp', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')            
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Bad Ass', 'movies2&url=tmdbbadass', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Bad Boys', 'movies2&url=tmdbbb', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Batman', 'movies2&url=tmdbbatman', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Best Of The Best', 'movies2&url=tmdbbob', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Beverly Hills Cop', 'movies2&url=tmdbbeverly', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Big Mommas House', 'movies2&url=tmdbbig', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Bloodsport', 'movies2&url=tmdbblood', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Blues Brother', 'movies2&url=tmdbblues', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Boondock Saints', 'movies2&url=tmdbboon', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Bourne', 'movies2&url=tmdbbourne', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Bruce Lee', 'movies2&url=tmdbbrucelee', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Captain America', 'movies2&url=tmdbcaptain', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Cats & Dogs', 'movies2&url=tmdbcatsanddogs', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Crank', 'movies2&url=tmdbcrank', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]The Crow', 'movies2&url=tmdbcrow', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Die Hard', 'movies2&url=tmdbdie', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Dirty Harry', 'movies2&url=tmdbdirtyh', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Fast and Furious', 'movies2&url=tmdbfurious', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]G.I. Joe', 'movies2&url=tmdbgi', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Ghost Rider', 'movies2&url=tmdbghost', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Ghostbusters', 'movies2&url=tmdbghostbusters', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Highlander', 'movies2&url=tmdbhighlander', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Hollow Man', 'movies2&url=tmdbhollow', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Hoodwinked!', 'movies2&url=tmdbhoodwink', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Hot Shots', 'movies2&url=tmdbhot', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]How To Train Your Dragon', 'movies2&url=tmdbhow', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]The Huntsman', 'movies2&url=tmdbhuntsman', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Independence Day', 'movies2&url=tmdbindependence', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Indiana Jones', 'movies2&url=tmdbindiana', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Inspector Gadget', 'movies2&url=tmdbinspector', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Ip Man', 'movies2&url=tmdbipman', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Iron Fists', 'movies2&url=tmdbironfists', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Jackass', 'movies2&url=tmdbjackass', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]James Bond', 'movies2&url=tmdbjames', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Johnny English', 'movies2&url=tmdbjohnny', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Journey', 'movies2&url=tmdbjourney', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Judge Dredd', 'movies2&url=tmdbdredd', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Jump Street', 'movies2&url=tmdbjump', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Justice League', 'movies2&url=tmdbjusticeleague', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]The Karate Kid', 'movies2&url=tmdbkarate', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Kick-Ass', 'movies2&url=tmdbkick', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Kickboxer', 'movies2&url=tmdbkickboxer', 'boxsets.png', 'DefaultMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Kill Bill', 'movies2&url=tmdbkill', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Kung Fu Panda', 'movies2&url=tmdbkung', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Lethal Weapon', 'movies2&url=tmdblethal', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Machete', 'movies2&url=tmdbmachete', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Mad Max', 'movies2&url=tmdbmadmax', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]The Matrix', 'movies2&url=tmdbmatrix', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Maze Runner', 'movies2&url=tmdbmaze', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]The Mechanic', 'movies2&url=tmdbmechanic', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Mission Impossible', 'movies2&url=tmdbmission', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]The Mummy', 'movies2&url=tmdbmummy', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]National Treasure', 'movies2&url=tmdbnational', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Never Back Down', 'movies2&url=tmdbnever', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Ninja', 'movies2&url=tmdbninja', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Olympus Has Fallen', 'movies2&url=tmdbolympus', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Ong Bak', 'movies2&url=tmdbong', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Pirates of The Caribbean', 'movies2&url=tmdbpirates', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Power Rangers', 'movies2&url=tmdbpowerrangers', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Predator', 'movies2&url=tmdbpredator', 'boxsets.png', 'DefaultMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]The Protector', 'movies2&url=tmdbprotector', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]The Punisher', 'movies2&url=tmdbpunisher', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]The Raid', 'movies2&url=tmdbraid', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Rambo', 'movies2&url=tmdbrambo', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]R.E.D.', 'movies2&url=tmdbred', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Red Cliff', 'movies2&url=tmdbredcliff', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Resident Evil', 'movies2&url=tmdbresident', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Riddick', 'movies2&url=tmdbriddick', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Ride Along', 'movies2&url=tmdbride', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Robocop', 'movies2&url=tmdbrobocop', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Romancing The Stone', 'movies2&url=tmdbromancing', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Rush Hour', 'movies2&url=tmdbrush', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Sherlock Holmes', 'movies2&url=tmdbsherlock', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Smokey and The Bandit', 'movies2&url=tmdbsmokey', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Spy Kids', 'movies2&url=tmdbspy', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Star Trek', 'movies2&url=tmdbstartrek', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Star Wars', 'movies2&url=tmdbstarwars', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Starship Troopers', 'movies2&url=tmdbstarship', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Taken', 'movies2&url=tmdbtaken', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Teenage Mutant Ninja Turtles', 'movies2&url=tmdbteenage', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Terminator', 'movies2&url=tmdbterminator', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Titans', 'movies2&url=tmdbtitans', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Transformers', 'movies2&url=tmdbtransformers', 'boxsets.png', 'DefaultMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Transporter', 'movies2&url=tmdbtransporter', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Tron', 'movies2&url=tmdbtron', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Under Siege', 'movies2&url=tmdbunder', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Underworld', 'movies2&url=tmdbunderworld', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Undisputed', 'movies2&url=tmdbundisputed', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Universal Soldier', 'movies2&url=tmdbuniversal', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]xXx', 'movies2&url=tmdbxxx', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')         
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Young Guns', 'movies2&url=tmdbyoung', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR springgreen]• [/COLOR][/B]Zorro', 'movies2&url=tmdbzorro', 'boxsets.png', 'DefaultRecentlyAddedMovies.png')


                self.endDirectory()

    def adventure(self, lite=False):
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]101 Dalmations', 'movies2&url=tmdbdal', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Agent Cody Banks', 'movies2&url=tmdbagent', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Aladdin', 'movies2&url=tmdbaladdin', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Alice In Wonderland', 'movies2&url=tmdbalice', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]American Ninja', 'movies2&url=tmdbamninja', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Austin Powers', 'movies2&url=tmdbaustin', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Back To The Future', 'movies2&url=tmdbback', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Balto', 'movies2&url=tmdbbalto', 'boxsets2.png', 'DefaultMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Batman', 'movies2&url=tmdbbatman', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Bean', 'movies2&url=tmdbbean', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Brother Bear', 'movies2&url=tmdbbrotherbear', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Captain America', 'movies2&url=tmdbcaptain', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]The Chronicles of Narnia', 'movies2&url=tmdbnarnia', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Cloudy With A Chance of Meatballs', 'movies2&url=tmdbcloudy', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Conan', 'movies2&url=tmdbconan', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Crocodile Dundee', 'movies2&url=tmdbcroc', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Curious George', 'movies2&url=tmdbcurious', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Despicable Me', 'movies2&url=tmdbdespicable', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Divergent', 'movies2&url=tmdbdivergent', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]FernGully', 'movies2&url=tmdbferngully', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Finding Nemo', 'movies2&url=tmdbfinding', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Fox and The Hound', 'movies2&url=tmdbfox', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Free Willy', 'movies2&url=tmdbfree', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]G.I. Joe', 'movies2&url=tmdbgi', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Ghostbusters', 'movies2&url=tmdbghostbusters', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]A Goofy Movie', 'movies2&url=tmdbgoofy', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Harold and Kumar', 'movies2&url=tmdbharold', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Harry Potter', 'movies2&url=tmdbharry', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Herbie', 'movies2&url=tmdbherbie', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Highlander', 'movies2&url=tmdbhighlander', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]The Hobbit', 'movies2&url=tmdbhobbit', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Homeward Bound', 'movies2&url=tmdbhomeward', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Honey I Shrunk The Kids', 'movies2&url=tmdbhoney', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]How To Train Your Dragon', 'movies2&url=tmdbhow', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Hunger Games', 'movies2&url=tmdbhunger', 'boxsets2.png', 'DefaultMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]The Huntsman', 'movies2&url=tmdbhuntsman', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Ice Age', 'movies2&url=tmdbiceage', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Independence Day', 'movies2&url=tmdbindependence', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Indiana Jones', 'movies2&url=tmdbindiana', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Inspector Gadget', 'movies2&url=tmdbinspector', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]James Bond', 'movies2&url=tmdbjames', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Jaws', 'movies2&url=tmdbjaws', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Johnny English', 'movies2&url=tmdbjohnny', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Journey', 'movies2&url=tmdbjourney', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]The Jungle Book', 'movies2&url=tmdbjungle', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Jurassic Park', 'movies2&url=tmdbjurassic', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Justice League', 'movies2&url=tmdbjusticeleague', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Kung Fu Panda', 'movies2&url=tmdbkung', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Lady and The Tramp', 'movies2&url=tmdblady', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]The Land Before Time', 'movies2&url=tmdblbt', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Lilo & Stitch', 'movies2&url=tmdblilo', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]The Lion King', 'movies2&url=tmdblion', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Lord of The Rings', 'movies2&url=tmdblord', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Mad Max', 'movies2&url=tmdbmadmax', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Madagascar', 'movies2&url=tmdbmadagascar', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')          
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Men in Black', 'movies2&url=tmdbmib', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Mission Impossible', 'movies2&url=tmdbmission', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Monsters INC', 'movies2&url=tmdbmonster', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Monty Python', 'movies2&url=tmdbmonty', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Mulan', 'movies2&url=tmdbmulan', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]The Mummy', 'movies2&url=tmdbmummy', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]The Muppets', 'movies2&url=tmdbmuppets', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]National Treasure', 'movies2&url=tmdbnational', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')             
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]The Never Ending Story', 'movies2&url=tmdbnes', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]New Groove', 'movies2&url=tmdbnewgroove', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Night At The Museum', 'movies2&url=tmdbnatm', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Nims Island', 'movies2&url=tmdbnims', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Open Season', 'movies2&url=tmdbopen', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Percy Jackson', 'movies2&url=tmdbpercy', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Peter Pan', 'movies2&url=tmdbpeter', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]The Pink Panther', 'movies2&url=tmdbpink', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Pirates of The Caribbean', 'movies2&url=tmdbpirates', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')               
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Planes', 'movies2&url=tmdbplanes', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Planet of The Apes', 'movies2&url=tmdbplanet', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Pocahontas', 'movies2&url=tmdbpoca', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Power Rangers', 'movies2&url=tmdbpowerrangers', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Rambo', 'movies2&url=tmdbrambo', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Red Cliff', 'movies2&url=tmdbredcliff', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Riddick', 'movies2&url=tmdbriddick', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Rio', 'movies2&url=tmdbrio', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Romancing The Stone', 'movies2&url=tmdbromancing', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Sammys Adventures', 'movies2&url=tmdbsammy', 'boxsets2.png', 'DefaultMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Sherlock Holmes', 'movies2&url=tmdbsherlock', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Shrek', 'movies2&url=tmdbshrek', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]The Smurfs', 'movies2&url=tmdbsmurfs', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Space Chimps', 'movies2&url=tmdbspacechimps', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]SpongBob Squarepants', 'movies2&url=tmdbspongebob', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Spy Kids', 'movies2&url=tmdbspy', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Star Trek', 'movies2&url=tmdbstartrek', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Star Wars', 'movies2&url=tmdbstarwars', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Starship Troopers', 'movies2&url=tmdbstarship', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Stuart Little', 'movies2&url=tmdbstuart', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Tarzan', 'movies2&url=tmdbtarzan', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Teenage Mutant Ninja Turtles', 'movies2&url=tmdbteenage', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Tinker Bell', 'movies2&url=tmdbtinker', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Titans', 'movies2&url=tmdbtitans', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Transformers', 'movies2&url=tmdbtransformers', 'boxsets2.png', 'DefaultMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Tron', 'movies2&url=tmdbtron', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Weekend at Bernies', 'movies2&url=tmdbweekend', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]xXx', 'movies2&url=tmdbxxx', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deepskyblue]• [/COLOR][/B]Zorro', 'movies2&url=tmdbzorro', 'boxsets2.png', 'DefaultRecentlyAddedMovies.png')


                self.endDirectory()
		
    def animation(self, lite=False):
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Aladdin', 'movies2&url=tmdbaladdin', 'boxsets3.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Alice In Wonderland', 'movies2&url=tmdbalice', 'boxsets3.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]All Dogs Go to Heaven', 'movies2&url=tmdballdogs', 'boxsets3.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Balto', 'movies2&url=tmdbbalto', 'boxsets3.png', 'DefaultMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Bambi', 'movies2&url=tmdbbambi', 'boxsets3.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Beauty and The Beast', 'movies2&url=tmdbbeauty', 'boxsets3.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Brother Bear', 'movies2&url=tmdbbrotherbear', 'boxsets3.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Cars', 'movies2&url=tmdbcars', 'boxsets3.png', 'DefaultMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Charlottes Web', 'movies2&url=tmdbcharlottes', 'boxsets3.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Cloudy With A Chance of Meatballs', 'movies2&url=tmdbcloudy', 'boxsets3.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Curious George', 'movies2&url=tmdbcurious', 'boxsets3.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Despicable Me', 'movies2&url=tmdbdespicable', 'boxsets3.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Fantasia', 'movies2&url=tmdbfantasia', 'boxsets3.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]FernGully', 'movies2&url=tmdbferngully', 'boxsets3.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Finding Nemo', 'movies2&url=tmdbfinding', 'boxsets3.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Fox and The Hound', 'movies2&url=tmdbfox', 'boxsets3.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Garfield', 'movies2&url=tmdbgarfield', 'boxsets3.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]A Goofy Movie', 'movies2&url=tmdbgoofy', 'boxsets3.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Happy Feet', 'movies2&url=tmdbhappy', 'boxsets3.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Hoodwinked!', 'movies2&url=tmdbhoodwink', 'boxsets3.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Hotel Transylvania', 'movies2&url=tmdbhotel', 'boxsets3.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]How To Train Your Dragon', 'movies2&url=tmdbhow', 'boxsets3.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Hunchback of Notre Dame', 'movies2&url=tmdbhunch', 'boxsets3.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Ice Age', 'movies2&url=tmdbiceage', 'boxsets3.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Justice League', 'movies2&url=tmdbjusticeleague', 'boxsets3.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Kung Fu Panda', 'movies2&url=tmdbkung', 'boxsets3.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Lady and The Tramp', 'movies2&url=tmdblady', 'boxsets3.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]The Land Before Time', 'movies2&url=tmdblbt', 'boxsets3.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Lego Star Wars', 'movies2&url=tmdblegostar', 'boxsets3.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Lilo & Stitch', 'movies2&url=tmdblilo', 'boxsets3.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]The Lion King', 'movies2&url=tmdblion', 'boxsets3.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]The Little Mermaid', 'movies2&url=tmdbmermaid', 'boxsets3.png', 'DefaultRecentlyAddedMovies.png') 
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Madagascar', 'movies2&url=tmdbmadagascar', 'boxsets3.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Monsters INC', 'movies2&url=tmdbmonster', 'boxsets3.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Mulan', 'movies2&url=tmdbmulan', 'boxsets3.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]New Groove', 'movies2&url=tmdbnewgroove', 'boxsets3.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Open Season', 'movies2&url=tmdbopen', 'boxsets3.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Planes', 'movies2&url=tmdbplanes', 'boxsets3.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Pocahontas', 'movies2&url=tmdbpoca', 'boxsets3.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]The Reef', 'movies2&url=tmdbreef', 'boxsets3.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Rio', 'movies2&url=tmdbrio', 'boxsets3.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Sammys Adventures', 'movies2&url=tmdbsammy', 'boxsets3.png', 'DefaultMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Shrek', 'movies2&url=tmdbshrek', 'boxsets3.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]The Smurfs', 'movies2&url=tmdbsmurfs', 'boxsets3.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Space Chimps', 'movies2&url=tmdbspacechimps', 'boxsets3.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]SpongBob Squarepants', 'movies2&url=tmdbspongebob', 'boxsets3.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Tarzan', 'movies2&url=tmdbtarzan', 'boxsets3.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Thomas & Friends', 'movies2&url=tmdbthomas', 'boxsets3.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Tinker Bell', 'movies2&url=tmdbtinker', 'boxsets3.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Wallace & Gromit', 'movies2&url=tmdbwallace', 'boxsets3.png', 'DefaultMovies.png')


                self.endDirectory()
		
    def comedy(self, lite=False):
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]101 Dalmations', 'movies2&url=tmdbdal', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]3 Ninjas', 'movies2&url=tmdb3nin', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]A Haunted House', 'movies2&url=tmdbhaunted', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Ace Ventura', 'movies2&url=tmdbace', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Adams Family', 'movies2&url=tmdbadams', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Agent Cody Banks', 'movies2&url=tmdbagent', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Aladdin', 'movies2&url=tmdbaladdin', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]All Dogs Go to Heaven', 'movies2&url=tmdballdogs', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]American Pie', 'movies2&url=tmdbampie', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Anchorman', 'movies2&url=tmdbanchor', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Austin Powers', 'movies2&url=tmdbaustin', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Babe', 'movies2&url=tmdbbabe', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Back To The Future', 'movies2&url=tmdbback', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Bad Ass', 'movies2&url=tmdbbadass', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Bad Boys', 'movies2&url=tmdbbb', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Bad Neighbors', 'movies2&url=tmdbbn', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Barbershop', 'movies2&url=tmdbbarber', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Bean', 'movies2&url=tmdbbean', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]The Best Exotic Marigold Hotel', 'movies2&url=tmdbbestexotic', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')           
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Beverly Hills Cop', 'movies2&url=tmdbbeverly', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Big Mommas House', 'movies2&url=tmdbbig', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Blues Brother', 'movies2&url=tmdbblues', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Bridget Jones', 'movies2&url=tmdbbridget', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Brother Bear', 'movies2&url=tmdbbrotherbear', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')            
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Cars', 'movies2&url=tmdbcars', 'boxsets4.png', 'DefaultMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Casper', 'movies2&url=tmdbcasper', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Cats & Dogs', 'movies2&url=tmdbcatsanddogs', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]City Slickers', 'movies2&url=tmdbcity', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Clerks', 'movies2&url=tmdbclerks', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Cloudy With A Chance of Meatballs', 'movies2&url=tmdbcloudy', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Crocodile Dundee', 'movies2&url=tmdbcroc', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Curious George', 'movies2&url=tmdbcurious', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Daddy Daycare', 'movies2&url=tmdbdaddy', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Despicable Me', 'movies2&url=tmdbdespicable', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Diary of A Wimpy Kid', 'movies2&url=tmdbdiary', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')          
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Doctor Dolittle', 'movies2&url=tmdbdolittle', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Dumb and Dumber', 'movies2&url=tmdbdumb', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Finding Nemo', 'movies2&url=tmdbfinding', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Friday', 'movies2&url=tmdbfriday', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Garfield', 'movies2&url=tmdbgarfield', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Ghostbusters', 'movies2&url=tmdbghostbusters', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]A Goofy Movie', 'movies2&url=tmdbgoofy', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Gremlins', 'movies2&url=tmdbgremlins', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Grown Ups', 'movies2&url=tmdbgrown', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Grumpy Old Men', 'movies2&url=tmdbgrumpy', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]The Hangover', 'movies2&url=tmdbhangover', 'boxsets4.png', 'DefaultMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Happy Feet', 'movies2&url=tmdbhappy', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Harold and Kumar', 'movies2&url=tmdbharold', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Herbie', 'movies2&url=tmdbherbie', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Home Alone', 'movies2&url=tmdbhome', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Homeward Bound', 'movies2&url=tmdbhomeward', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Honey I Shrunk The Kids', 'movies2&url=tmdbhoney', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Hoodwinked!', 'movies2&url=tmdbhoodwink', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Horrible Bosses', 'movies2&url=tmdbhorrible', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Hot Shots', 'movies2&url=tmdbhot', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')               
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Hot Tub Time Machine', 'movies2&url=tmdbhotub', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Hotel Transylvania', 'movies2&url=tmdbhotel', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Ice Age', 'movies2&url=tmdbiceage', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]The Inbetweeners', 'movies2&url=tmdbinbetweeners', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Inspector Gadget', 'movies2&url=tmdbinspector', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Jackass', 'movies2&url=tmdbjackass', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Johnny English', 'movies2&url=tmdbjohnny', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Jump Street', 'movies2&url=tmdbjump', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Kick-Ass', 'movies2&url=tmdbkick', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Legally Blonde', 'movies2&url=tmdblegally', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Like Mike', 'movies2&url=tmdblikemike', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Lilo & Stitch', 'movies2&url=tmdblilo', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Madagascar', 'movies2&url=tmdbmadagascar', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Major League', 'movies2&url=tmdbmajor', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')          
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Meet The Parents', 'movies2&url=tmdbmeet', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Men in Black', 'movies2&url=tmdbmib', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]The Mighty Ducks', 'movies2&url=tmdbmighty', 'boxsets4.png', 'DefaultMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Monsters INC', 'movies2&url=tmdbmonster', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Monty Python', 'movies2&url=tmdbmonty', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]The Muppets', 'movies2&url=tmdbmuppets', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]My Big Fat Greek Wedding', 'movies2&url=tmdbmbfgw', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]The Naked Gun', 'movies2&url=tmdbnaked', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]New Groove', 'movies2&url=tmdbnewgroove', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Night At The Museum', 'movies2&url=tmdbnatm', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Nims Island', 'movies2&url=tmdbnims', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')            
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Open Season', 'movies2&url=tmdbopen', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]The Pink Panther', 'movies2&url=tmdbpink', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Pitch Perfect', 'movies2&url=tmdbpitch', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')         
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Planes', 'movies2&url=tmdbplanes', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Police Academy', 'movies2&url=tmdbpolice', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Problem Child', 'movies2&url=tmdbproblem', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]R.E.D.', 'movies2&url=tmdbred', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Ride Along', 'movies2&url=tmdbride', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Rio', 'movies2&url=tmdbrio', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Romancing The Stone', 'movies2&url=tmdbromancing', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Rush Hour', 'movies2&url=tmdbrush', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]The Sandlot', 'movies2&url=tmdbsandlot', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Scary Movie', 'movies2&url=tmdbscary', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Shrek', 'movies2&url=tmdbshrek', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Short Circuit', 'movies2&url=tmdbshort', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Smokey and The Bandit', 'movies2&url=tmdbsmokey', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')                
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]The Smurfs', 'movies2&url=tmdbsmurfs', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Space Chimps', 'movies2&url=tmdbspacechimps', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]SpongBob Squarepants', 'movies2&url=tmdbspongebob', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Spy Kids', 'movies2&url=tmdbspy', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Stuart Little', 'movies2&url=tmdbstuart', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Ted', 'movies2&url=tmdbted', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Teenage Mutant Ninja Turtles', 'movies2&url=tmdbteenage', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Teen Wolf', 'movies2&url=tmdbteen', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]The Tooth Fairy', 'movies2&url=tmdbtooth', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Tremors', 'movies2&url=tmdbtremors', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Waynes World', 'movies2&url=tmdbwayne', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Weekend at Bernies', 'movies2&url=tmdbweekend', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]The Whole Nine Yards', 'movies2&url=tmdbwholenine', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Zoolander', 'movies2&url=tmdbzoo', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR fuchsia]• [/COLOR][/B]Zorro', 'movies2&url=tmdbzorro', 'boxsets4.png', 'DefaultRecentlyAddedMovies.png')


                self.endDirectory()
		
    def crime(self, lite=False):
                self.addDirectoryItem('[B][COLOR olive]• [/COLOR][/B]12 Rounds', 'movies2&url=tmdbrounds', 'boxsets8.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR olive]• [/COLOR][/B]Bad Ass', 'movies2&url=tmdbbadass', 'boxsets8.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR olive]• [/COLOR][/B]Bad Boys', 'movies2&url=tmdbbb', 'boxsets8.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR olive]• [/COLOR][/B]Beverly Hills Cop', 'movies2&url=tmdbbeverly', 'boxsets8.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR olive]• [/COLOR][/B]Big Mommas House', 'movies2&url=tmdbbig', 'boxsets8.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR olive]• [/COLOR][/B]Blues Brother', 'movies2&url=tmdbblues', 'boxsets8.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR olive]• [/COLOR][/B]Boondock Saints', 'movies2&url=tmdbboon', 'boxsets8.png', 'DefaultRecentlyAddedMovies.png')           
                self.addDirectoryItem('[B][COLOR olive]• [/COLOR][/B]Crank', 'movies2&url=tmdbcrank', 'boxsets8.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR olive]• [/COLOR][/B]Dirty Harry', 'movies2&url=tmdbdirtyh', 'boxsets8.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR olive]• [/COLOR][/B]Dragon Tattoo', 'movies2&url=tmdbdragon', 'boxsets8.png', 'DefaultMovies.png')
                self.addDirectoryItem('[B][COLOR olive]• [/COLOR][/B]Fast and Furious', 'movies2&url=tmdbfurious', 'boxsets8.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR olive]• [/COLOR][/B]The Godfather', 'movies2&url=tmdbgodfather', 'boxsets8.png', 'DefaultRecentlyAddedMovies.png')           
                self.addDirectoryItem('[B][COLOR olive]• [/COLOR][/B]Green Street Hooligans', 'movies2&url=tmdbgreen', 'boxsets8.png', 'DefaultRecentlyAddedMovies.png')          
                self.addDirectoryItem('[B][COLOR olive]• [/COLOR][/B]Hannibal Lecter', 'movies2&url=tmdbhannibal', 'boxsets8.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR olive]• [/COLOR][/B]Horrible Bosses', 'movies2&url=tmdbhorrible', 'boxsets8.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR olive]• [/COLOR][/B]Infernal Affairs', 'movies2&url=tmdbinfernal', 'boxsets8.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR olive]• [/COLOR][/B]Judge Dredd', 'movies2&url=tmdbdredd', 'boxsets8.png', 'DefaultRecentlyAddedMovies.png')             
                self.addDirectoryItem('[B][COLOR olive]• [/COLOR][/B]Jump Street', 'movies2&url=tmdbjump', 'boxsets8.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR olive]• [/COLOR][/B]Kill Bill', 'movies2&url=tmdbkill', 'boxsets8.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR olive]• [/COLOR][/B]Lethal Weapon', 'movies2&url=tmdblethal', 'boxsets8.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR olive]• [/COLOR][/B]Machete', 'movies2&url=tmdbmachete', 'boxsets8.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR olive]• [/COLOR][/B]The Mechanic', 'movies2&url=tmdbmechanic', 'boxsets8.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR olive]• [/COLOR][/B]The Naked Gun', 'movies2&url=tmdbnaked', 'boxsets8.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR olive]• [/COLOR][/B]Ninja', 'movies2&url=tmdbninja', 'boxsets8.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR olive]• [/COLOR][/B]Now You See Me', 'movies2&url=tmdbnysm', 'boxsets8.png', 'DefaultRecentlyAddedMovies.png')            
                self.addDirectoryItem('[B][COLOR olive]• [/COLOR][/B]Oceans', 'movies2&url=tmdboceans', 'boxsets8.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR olive]• [/COLOR][/B]Once Were Warriors', 'movies2&url=tmdbonce', 'boxsets8.png', 'DefaultRecentlyAddedMovies.png')                
                self.addDirectoryItem('[B][COLOR olive]• [/COLOR][/B]Ong Bak', 'movies2&url=tmdbong', 'boxsets8.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR olive]• [/COLOR][/B]The Pink Panther', 'movies2&url=tmdbpink', 'boxsets8.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR olive]• [/COLOR][/B]The Protector', 'movies2&url=tmdbprotector', 'boxsets8.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR olive]• [/COLOR][/B]The Punisher', 'movies2&url=tmdbpunisher', 'boxsets8.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR olive]• [/COLOR][/B]The Raid', 'movies2&url=tmdbraid', 'boxsets8.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR olive]• [/COLOR][/B]R.E.D.', 'movies2&url=tmdbred', 'boxsets8.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR olive]• [/COLOR][/B]Ride Along', 'movies2&url=tmdbride', 'boxsets8.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR olive]• [/COLOR][/B]Rise of the Footsoldier', 'movies2&url=tmdbrise', 'boxsets8.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR olive]• [/COLOR][/B]Robocop', 'movies2&url=tmdbrobocop', 'boxsets8.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR olive]• [/COLOR][/B]Rush Hour', 'movies2&url=tmdbrush', 'boxsets8.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR olive]• [/COLOR][/B]Sherlock Holmes', 'movies2&url=tmdbsherlock', 'boxsets8.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR olive]• [/COLOR][/B]Sin City', 'movies2&url=tmdbsin', 'boxsets8.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR olive]• [/COLOR][/B]Step Up', 'movies2&url=tmdbstepup', 'boxsets8.png', 'DefaultRecentlyAddedMovies.png')               
                self.addDirectoryItem('[B][COLOR olive]• [/COLOR][/B]Transporter', 'movies2&url=tmdbtransporter', 'boxsets8.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR olive]• [/COLOR][/B]Undisputed', 'movies2&url=tmdbundisputed', 'boxsets8.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR olive]• [/COLOR][/B]Weekend at Bernies', 'movies2&url=tmdbweekend', 'boxsets8.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR olive]• [/COLOR][/B]The Whole Nine Yards', 'movies2&url=tmdbwholenine', 'boxsets8.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR olive]• [/COLOR][/B]Young Guns', 'movies2&url=tmdbyoung', 'boxsets8.png', 'DefaultRecentlyAddedMovies.png')


                self.endDirectory()
		
    def drama(self, lite=False):
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]28 Days Later', 'movies2&url=tmdb28days', 'boxsets6.png', 'DefaultMovies.png')
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]All Dogs Go to Heaven', 'movies2&url=tmdballdogs', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]Babe', 'movies2&url=tmdbbabe', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]Balto', 'movies2&url=tmdbbalto', 'boxsets6.png', 'DefaultMovies.png')
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]Bambi', 'movies2&url=tmdbbambi', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]Barbershop', 'movies2&url=tmdbbarber', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]The Before', 'movies2&url=tmdbbefore', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]The Best Exotic Marigold Hotel', 'movies2&url=tmdbbestexotic', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')                
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]Best Of The Best', 'movies2&url=tmdbbob', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]Bloodsport', 'movies2&url=tmdbblood', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]Bruce Lee', 'movies2&url=tmdbbrucelee', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]Cinderella', 'movies2&url=tmdbcinderella', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]The Crow', 'movies2&url=tmdbcrow', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]Cube', 'movies2&url=tmdbcube', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]Dirty Dancing', 'movies2&url=tmdbdirtyd', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]Dolphin Tale', 'movies2&url=tmdbdolphin', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]Dragon Tattoo', 'movies2&url=tmdbdragon', 'boxsets6.png', 'DefaultMovies.png')
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]The Fly', 'movies2&url=tmdbfly', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]Fox and The Hound', 'movies2&url=tmdbfox', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]Free Willy', 'movies2&url=tmdbfree', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]Friday', 'movies2&url=tmdbfriday', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]The Godfather', 'movies2&url=tmdbgodfather', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')           
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]Green Street Hooligans', 'movies2&url=tmdbgreen', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')          
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]Grumpy Old Men', 'movies2&url=tmdbgrumpy', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]Hannibal Lecter', 'movies2&url=tmdbhannibal', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]Homeward Bound', 'movies2&url=tmdbhomeward', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]Hunchback of Notre Dame', 'movies2&url=tmdbhunch', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]The Huntsman', 'movies2&url=tmdbhuntsman', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]Infernal Affairs', 'movies2&url=tmdbinfernal', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]Ip Man', 'movies2&url=tmdbipman', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')          
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]Jaws', 'movies2&url=tmdbjaws', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]The Jungle Book', 'movies2&url=tmdbjungle', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]The Karate Kid', 'movies2&url=tmdbkarate', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]The Land Before Time', 'movies2&url=tmdblbt', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]The Lion King', 'movies2&url=tmdblion', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]Lord of The Rings', 'movies2&url=tmdblord', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]The Mighty Ducks', 'movies2&url=tmdbmighty', 'boxsets6.png', 'DefaultMovies.png')
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]My Big Fat Greek Wedding', 'movies2&url=tmdbmbfgw', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]Never Back Down', 'movies2&url=tmdbnever', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]The Never Ending Story', 'movies2&url=tmdbnes', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]Ninja', 'movies2&url=tmdbninja', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]Nymphomaniac', 'movies2&url=tmdbnymph', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')            
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]Once Were Warriors', 'movies2&url=tmdbonce', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')                
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]Pocahontas', 'movies2&url=tmdbpoca', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]The Punisher', 'movies2&url=tmdbpunisher', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]Red Cliff', 'movies2&url=tmdbredcliff', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]Rise of the Footsoldier', 'movies2&url=tmdbrise', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]Rocky', 'movies2&url=tmdbrocky', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]The Sandlot', 'movies2&url=tmdbsandlot', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]Shanghai', 'movies2&url=tmdbshanghai', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]Step Up', 'movies2&url=tmdbstepup', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')               
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]Three Colors', 'movies2&url=tmdbthree', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]Twilight', 'movies2&url=tmdbtwilight', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]Undisputed', 'movies2&url=tmdbundisputed', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]The Woman in Black', 'movies2&url=tmdbwoman', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR firebrick]• [/COLOR][/B]Young Guns', 'movies2&url=tmdbyoung', 'boxsets6.png', 'DefaultRecentlyAddedMovies.png')


                self.endDirectory()

    def family(self, lite=False):
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]3 Ninjas', 'movies2&url=tmdb3nin', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]Alice In Wonderland', 'movies2&url=tmdbalice', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]Babe', 'movies2&url=tmdbbabe', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]Bambi', 'movies2&url=tmdbbambi', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]Bean', 'movies2&url=tmdbbean', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]Beauty and The Beast', 'movies2&url=tmdbbeauty', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]Cars', 'movies2&url=tmdbcars', 'boxsets5.png', 'DefaultMovies.png')
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]Casper', 'movies2&url=tmdbcasper', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]Cats & Dogs', 'movies2&url=tmdbcatsanddogs', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]Charlottes Web', 'movies2&url=tmdbcharlottes', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]The Chronicles of Narnia', 'movies2&url=tmdbnarnia', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]Cinderella', 'movies2&url=tmdbcinderella', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]Daddy Daycare', 'movies2&url=tmdbdaddy', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]Diary of A Wimpy Kid', 'movies2&url=tmdbdiary', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')            
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]Doctor Dolittle', 'movies2&url=tmdbdolittle', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]Dolphin Tale', 'movies2&url=tmdbdolphin', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]Fantasia', 'movies2&url=tmdbfantasia', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]FernGully', 'movies2&url=tmdbferngully', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]The Flintstones', 'movies2&url=tmdbflintstones', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')             
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]Free Willy', 'movies2&url=tmdbfree', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]Garfield', 'movies2&url=tmdbgarfield', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]Happy Feet', 'movies2&url=tmdbhappy', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]Harry Potter', 'movies2&url=tmdbharry', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]Herbie', 'movies2&url=tmdbherbie', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]Home Alone', 'movies2&url=tmdbhome', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]Honey I Shrunk The Kids', 'movies2&url=tmdbhoney', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]Hotel Transylvania', 'movies2&url=tmdbhotel', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]Hunchback of Notre Dame', 'movies2&url=tmdbhunch', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]Journey', 'movies2&url=tmdbjourney', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')             
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]The Jungle Book', 'movies2&url=tmdbjungle', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]The Karate Kid', 'movies2&url=tmdbkarate', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]Lego Star Wars', 'movies2&url=tmdblegostar', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]Like Mike', 'movies2&url=tmdblikemike', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]The Little Mermaid', 'movies2&url=tmdbmermaid', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')  
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]Men in Black', 'movies2&url=tmdbmib', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]The Mighty Ducks', 'movies2&url=tmdbmighty', 'boxsets5.png', 'DefaultMovies.png')
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]Mulan', 'movies2&url=tmdbmulan', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]The Muppets', 'movies2&url=tmdbmuppets', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]National Treasure', 'movies2&url=tmdbnational', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')         
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]The Never Ending Story', 'movies2&url=tmdbnes', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]Night At The Museum', 'movies2&url=tmdbnatm', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]Nims Island', 'movies2&url=tmdbnims', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')               
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]Percy Jackson', 'movies2&url=tmdbpercy', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]Peter Pan', 'movies2&url=tmdbpeter', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]Power Rangers', 'movies2&url=tmdbpowerrangers', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]Problem Child', 'movies2&url=tmdbproblem', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]The Reef', 'movies2&url=tmdbreef', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]Sammys Adventures', 'movies2&url=tmdbsammy', 'boxsets5.png', 'DefaultMovies.png')
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]The Sandlot', 'movies2&url=tmdbsandlot', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]Short Circuit', 'movies2&url=tmdbshort', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]Stuart Little', 'movies2&url=tmdbstuart', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]Tarzan', 'movies2&url=tmdbtarzan', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]Thomas & Friends', 'movies2&url=tmdbthomas', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]Tinker Bell', 'movies2&url=tmdbtinker', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorchid]• [/COLOR][/B]The Tooth Fairy', 'movies2&url=tmdbtooth', 'boxsets5.png', 'DefaultRecentlyAddedMovies.png')
                        
                
                self.endDirectory()
		
    def fantasy(self, lite=False):
                self.addDirectoryItem('[B][COLOR hotpink]• [/COLOR][/B]300', 'movies2&url=tmdb300', 'boxsets7.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR hotpink]• [/COLOR][/B]A Haunted House', 'movies2&url=tmdbhaunted', 'boxsets7.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR hotpink]• [/COLOR][/B]Adams Family', 'movies2&url=tmdbadams', 'boxsets7.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR hotpink]• [/COLOR][/B]Beauty and The Beast', 'movies2&url=tmdbbeauty', 'boxsets7.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR hotpink]• [/COLOR][/B]Casper', 'movies2&url=tmdbcasper', 'boxsets7.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR hotpink]• [/COLOR][/B]The Chronicles of Narnia', 'movies2&url=tmdbnarnia', 'boxsets7.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR hotpink]• [/COLOR][/B]Cinderella', 'movies2&url=tmdbcinderella', 'boxsets7.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR hotpink]• [/COLOR][/B]Conan', 'movies2&url=tmdbconan', 'boxsets7.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR hotpink]• [/COLOR][/B]The Crow', 'movies2&url=tmdbcrow', 'boxsets7.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR hotpink]• [/COLOR][/B]Doctor Dolittle', 'movies2&url=tmdbdolittle', 'boxsets7.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR hotpink]• [/COLOR][/B]Fantasia', 'movies2&url=tmdbfantasia', 'boxsets7.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR hotpink]• [/COLOR][/B]The Flintstones', 'movies2&url=tmdbflintstones', 'boxsets7.png', 'DefaultRecentlyAddedMovies.png')             
                self.addDirectoryItem('[B][COLOR hotpink]• [/COLOR][/B]Ghost Rider', 'movies2&url=tmdbghost', 'boxsets7.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR hotpink]• [/COLOR][/B]Gremlins', 'movies2&url=tmdbgremlins', 'boxsets7.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR hotpink]• [/COLOR][/B]Harry Potter', 'movies2&url=tmdbharry', 'boxsets7.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR hotpink]• [/COLOR][/B]Highlander', 'movies2&url=tmdbhighlander', 'boxsets7.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR hotpink]• [/COLOR][/B]The Hobbit', 'movies2&url=tmdbhobbit', 'boxsets7.png', 'DefaultRecentlyAddedMovies.png')            
                self.addDirectoryItem('[B][COLOR hotpink]• [/COLOR][/B]Indiana Jones', 'movies2&url=tmdbindiana', 'boxsets7.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR hotpink]• [/COLOR][/B]Lego Star Wars', 'movies2&url=tmdblegostar', 'boxsets7.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR hotpink]• [/COLOR][/B]Like Mike', 'movies2&url=tmdblikemike', 'boxsets7.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR hotpink]• [/COLOR][/B]The Little Mermaid', 'movies2&url=tmdbmermaid', 'boxsets7.png', 'DefaultRecentlyAddedMovies.png')  
                self.addDirectoryItem('[B][COLOR hotpink]• [/COLOR][/B]Lord of The Rings', 'movies2&url=tmdblord', 'boxsets7.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR hotpink]• [/COLOR][/B]Monty Python', 'movies2&url=tmdbmonty', 'boxsets7.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR hotpink]• [/COLOR][/B]The Mummy', 'movies2&url=tmdbmummy', 'boxsets7.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR hotpink]• [/COLOR][/B]Percy Jackson', 'movies2&url=tmdbpercy', 'boxsets7.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR hotpink]• [/COLOR][/B]Peter Pan', 'movies2&url=tmdbpeter', 'boxsets7.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR hotpink]• [/COLOR][/B]Pirates of The Caribbean', 'movies2&url=tmdbpirates', 'boxsets7.png', 'DefaultRecentlyAddedMovies.png')            
                self.addDirectoryItem('[B][COLOR hotpink]• [/COLOR][/B]Poltergeist', 'movies2&url=tmdbpolter', 'boxsets7.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR hotpink]• [/COLOR][/B]Star Wars', 'movies2&url=tmdbstarwars', 'boxsets7.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR hotpink]• [/COLOR][/B]Ted', 'movies2&url=tmdbted', 'boxsets7.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR hotpink]• [/COLOR][/B]Teen Wolf', 'movies2&url=tmdbteen', 'boxsets7.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR hotpink]• [/COLOR][/B]Titans', 'movies2&url=tmdbtitans', 'boxsets7.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR hotpink]• [/COLOR][/B]The Tooth Fairy', 'movies2&url=tmdbtooth', 'boxsets7.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR hotpink]• [/COLOR][/B]Twilight', 'movies2&url=tmdbtwilight', 'boxsets7.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR hotpink]• [/COLOR][/B]Underworld', 'movies2&url=tmdbunderworld', 'boxsets7.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR hotpink]• [/COLOR][/B]The Woman in Black', 'movies2&url=tmdbwoman', 'boxsets7.png', 'DefaultRecentlyAddedMovies.png')


                self.endDirectory()
		
    def horror(self, lite=False):
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]28 Days Later', 'movies2&url=tmdb28days', 'boxsets10.png', 'DefaultMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]A Nightmare on Elm Street', 'movies2&url=tmdbelmst', 'boxsets10.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Alien', 'movies2&url=tmdbalien', 'boxsets10.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]AVP', 'movies2&url=tmdbavp', 'boxsets10.png', 'DefaultRecentlyAddedMovies.png')         
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Childs Play', 'movies2&url=tmdbchilds', 'boxsets10.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]The Conjuring', 'movies2&url=tmdbconjuring', 'boxsets10.png', 'DefaultRecentlyAddedMovies.png')           
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Evil Dead', 'movies2&url=tmdbevil', 'boxsets10.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Exorcist', 'movies2&url=tmdbexorcist', 'boxsets10.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Final Destination', 'movies2&url=tmdbfinal', 'boxsets10.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]The Fly', 'movies2&url=tmdbfly', 'boxsets10.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Friday The 13th', 'movies2&url=tmdbfriday13', 'boxsets10.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Gremlins', 'movies2&url=tmdbgremlins', 'boxsets10.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]The Grudge', 'movies2&url=tmdbgrudge', 'boxsets10.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Halloween', 'movies2&url=tmdbhalloween', 'boxsets10.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Hellraiser', 'movies2&url=tmdbhell', 'boxsets10.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]The Hills Have Eyes', 'movies2&url=tmdbhills', 'boxsets10.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Hollow Man', 'movies2&url=tmdbhollow', 'boxsets10.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Hostel', 'movies2&url=tmdbhostel', 'boxsets10.png', 'DefaultRecentlyAddedMovies.png')                
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]The Human Centipede', 'movies2&url=tmdbhuman', 'boxsets10.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Insidious', 'movies2&url=tmdbinsidious', 'boxsets10.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Last Summer', 'movies2&url=tmdblast', 'boxsets10.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]The Omen', 'movies2&url=tmdbomen', 'boxsets10.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Paranormal Activity', 'movies2&url=tmdbparanormal', 'boxsets10.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Poltergeist', 'movies2&url=tmdbpolter', 'boxsets10.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Psycho', 'movies2&url=tmdbpsycho', 'boxsets10.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]The Purge', 'movies2&url=tmdbpurge', 'boxsets10.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Quarantine', 'movies2&url=tmdbquarantine', 'boxsets10.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Resident Evil', 'movies2&url=tmdbresident', 'boxsets10.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]The Ring', 'movies2&url=tmdbring', 'boxsets10.png', 'DefaultRecentlyAddedMovies.png')          
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Saw', 'movies2&url=tmdbsaw', 'boxsets10.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Scream', 'movies2&url=tmdbscream', 'boxsets10.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Texas Chainsaw Massacre', 'movies2&url=tmdbtexas', 'boxsets10.png', 'DefaultRecentlyAddedMovies.png')         
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Tremors', 'movies2&url=tmdbtremors', 'boxsets10.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]VHS', 'movies2&url=tmdbvhs', 'boxsets10.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]The Woman in Black', 'movies2&url=tmdbwoman', 'boxsets10.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR crimson]• [/COLOR][/B]Wrong Turn', 'movies2&url=tmdbwrong', 'boxsets10.png', 'DefaultRecentlyAddedMovies.png')              


                self.endDirectory()
		
    def mystery(self, lite=False):
                self.addDirectoryItem('[B][COLOR steelblue]• [/COLOR][/B]The Conjuring', 'movies2&url=tmdbconjuring', 'boxsets11.png', 'DefaultRecentlyAddedMovies.png')           
                self.addDirectoryItem('[B][COLOR steelblue]• [/COLOR][/B]Cube', 'movies2&url=tmdbcube', 'boxsets11.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR steelblue]• [/COLOR][/B]Divergent', 'movies2&url=tmdbdivergent', 'boxsets11.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR steelblue]• [/COLOR][/B]Dragon Tattoo', 'movies2&url=tmdbdragon', 'boxsets11.png', 'DefaultMovies.png')
                self.addDirectoryItem('[B][COLOR steelblue]• [/COLOR][/B]Friday The 13th', 'movies2&url=tmdbfriday13', 'boxsets11.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR steelblue]• [/COLOR][/B]The Grudge', 'movies2&url=tmdbgrudge', 'boxsets11.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR steelblue]• [/COLOR][/B]Infernal Affairs', 'movies2&url=tmdbinfernal', 'boxsets11.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR steelblue]• [/COLOR][/B]Insidious', 'movies2&url=tmdbinsidious', 'boxsets11.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR steelblue]• [/COLOR][/B]Last Summer', 'movies2&url=tmdblast', 'boxsets11.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR steelblue]• [/COLOR][/B]Now You See Me', 'movies2&url=tmdbnysm', 'boxsets11.png', 'DefaultRecentlyAddedMovies.png')            
                self.addDirectoryItem('[B][COLOR steelblue]• [/COLOR][/B]Paranormal Activity', 'movies2&url=tmdbparanormal', 'boxsets11.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR steelblue]• [/COLOR][/B]Psycho', 'movies2&url=tmdbpsycho', 'boxsets11.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR steelblue]• [/COLOR][/B]The Ring', 'movies2&url=tmdbring', 'boxsets11.png', 'DefaultRecentlyAddedMovies.png')          
                self.addDirectoryItem('[B][COLOR steelblue]• [/COLOR][/B]Saw', 'movies2&url=tmdbsaw', 'boxsets11.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR steelblue]• [/COLOR][/B]Scream', 'movies2&url=tmdbscream', 'boxsets11.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR steelblue]• [/COLOR][/B]Shanghai', 'movies2&url=tmdbshanghai', 'boxsets11.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR steelblue]• [/COLOR][/B]Three Colors', 'movies2&url=tmdbthree', 'boxsets11.png', 'DefaultRecentlyAddedMovies.png')


                self.endDirectory()
		
    def romance(self, lite=False):
                self.addDirectoryItem('[B][COLOR darkorange]• [/COLOR][/B]American Ninja', 'movies2&url=tmdbamninja', 'boxsets12.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorange]• [/COLOR][/B]The Before', 'movies2&url=tmdbbefore', 'boxsets12.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorange]• [/COLOR][/B]Bridget Jones', 'movies2&url=tmdbbridget', 'boxsets12.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorange]• [/COLOR][/B]Dirty Dancing', 'movies2&url=tmdbdirtyd', 'boxsets12.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorange]• [/COLOR][/B]Grumpy Old Men', 'movies2&url=tmdbgrumpy', 'boxsets12.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorange]• [/COLOR][/B]Legally Blonde', 'movies2&url=tmdblegally', 'boxsets12.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorange]• [/COLOR][/B]Meet The Parents', 'movies2&url=tmdbmeet', 'boxsets12.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorange]• [/COLOR][/B]My Big Fat Greek Wedding', 'movies2&url=tmdbmbfgw', 'boxsets12.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorange]• [/COLOR][/B]Shanghai', 'movies2&url=tmdbshanghai', 'boxsets12.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorange]• [/COLOR][/B]Think Like a Man', 'movies2&url=tmdbthink', 'boxsets12.png', 'DefaultRecentlyAddedMovies.png')                
                self.addDirectoryItem('[B][COLOR darkorange]• [/COLOR][/B]Three Colors', 'movies2&url=tmdbthree', 'boxsets12.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR darkorange]• [/COLOR][/B]Twilight', 'movies2&url=tmdbtwilight', 'boxsets12.png', 'DefaultRecentlyAddedMovies.png')


                self.endDirectory()
		
    def scifi(self, lite=False):
                self.addDirectoryItem('[B][COLOR deeppink]• [/COLOR][/B]28 Days Later', 'movies2&url=tmdb28days', 'boxsets15.png', 'DefaultMovies.png')
                self.addDirectoryItem('[B][COLOR deeppink]• [/COLOR][/B]Alien', 'movies2&url=tmdbalien', 'boxsets15.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deeppink]• [/COLOR][/B]Avengers', 'movies2&url=tmdbavengers', 'boxsets15.png', 'DefaultRecentlyAddedMovies.png')          
                self.addDirectoryItem('[B][COLOR deeppink]• [/COLOR][/B]AVP', 'movies2&url=tmdbavp', 'boxsets15.png', 'DefaultRecentlyAddedMovies.png')         
                self.addDirectoryItem('[B][COLOR deeppink]• [/COLOR][/B]Back To The Future', 'movies2&url=tmdbback', 'boxsets15.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deeppink]• [/COLOR][/B]The Butterfly Effect', 'movies2&url=tmdbbutterfly', 'boxsets15.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deeppink]• [/COLOR][/B]Captain America', 'movies2&url=tmdbcaptain', 'boxsets15.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deeppink]• [/COLOR][/B]Cocoon', 'movies2&url=tmdbcocoon', 'boxsets15.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deeppink]• [/COLOR][/B]Cube', 'movies2&url=tmdbcube', 'boxsets15.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deeppink]• [/COLOR][/B]Divergent', 'movies2&url=tmdbdivergent', 'boxsets15.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deeppink]• [/COLOR][/B]The Fly', 'movies2&url=tmdbfly', 'boxsets15.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deeppink]• [/COLOR][/B]G.I. Joe', 'movies2&url=tmdbgi', 'boxsets15.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deeppink]• [/COLOR][/B]Hollow Man', 'movies2&url=tmdbhollow', 'boxsets15.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deeppink]• [/COLOR][/B]Hot Tub Time Machine', 'movies2&url=tmdbhotub', 'boxsets15.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deeppink]• [/COLOR][/B]Hunger Games', 'movies2&url=tmdbhunger', 'boxsets15.png', 'DefaultMovies.png')
                self.addDirectoryItem('[B][COLOR deeppink]• [/COLOR][/B]Independence Day', 'movies2&url=tmdbindependence', 'boxsets15.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deeppink]• [/COLOR][/B]Judge Dredd', 'movies2&url=tmdbdredd', 'boxsets15.png', 'DefaultRecentlyAddedMovies.png')             
                self.addDirectoryItem('[B][COLOR deeppink]• [/COLOR][/B]Jurassic Park', 'movies2&url=tmdbjurassic', 'boxsets15.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deeppink]• [/COLOR][/B]Mad Max', 'movies2&url=tmdbmadmax', 'boxsets15.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deeppink]• [/COLOR][/B]The Matrix', 'movies2&url=tmdbmatrix', 'boxsets15.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deeppink]• [/COLOR][/B]Maze Runner', 'movies2&url=tmdbmaze', 'boxsets15.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deeppink]• [/COLOR][/B]Planet of The Apes', 'movies2&url=tmdbplanet', 'boxsets15.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deeppink]• [/COLOR][/B]Predator', 'movies2&url=tmdbpredator', 'boxsets15.png', 'DefaultMovies.png')
                self.addDirectoryItem('[B][COLOR deeppink]• [/COLOR][/B]The Purge', 'movies2&url=tmdbpurge', 'boxsets15.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deeppink]• [/COLOR][/B]Quarantine', 'movies2&url=tmdbquarantine', 'boxsets15.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deeppink]• [/COLOR][/B]Resident Evil', 'movies2&url=tmdbresident', 'boxsets15.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deeppink]• [/COLOR][/B]Riddick', 'movies2&url=tmdbriddick', 'boxsets15.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deeppink]• [/COLOR][/B]Robocop', 'movies2&url=tmdbrobocop', 'boxsets15.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deeppink]• [/COLOR][/B]Short Circuit', 'movies2&url=tmdbshort', 'boxsets15.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deeppink]• [/COLOR][/B]Star Trek', 'movies2&url=tmdbstartrek', 'boxsets15.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deeppink]• [/COLOR][/B]Starship Troopers', 'movies2&url=tmdbstarship', 'boxsets15.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deeppink]• [/COLOR][/B]Terminator', 'movies2&url=tmdbterminator', 'boxsets15.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deeppink]• [/COLOR][/B]Transformers', 'movies2&url=tmdbtransformers', 'boxsets15.png', 'DefaultMovies.png')
                self.addDirectoryItem('[B][COLOR deeppink]• [/COLOR][/B]Tron', 'movies2&url=tmdbtron', 'boxsets15.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR deeppink]• [/COLOR][/B]Universal Soldier', 'movies2&url=tmdbuniversal', 'boxsets15.png', 'DefaultRecentlyAddedMovies.png')               


                self.endDirectory()
		
    def thriller(self, lite=False):
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]12 Rounds', 'movies2&url=tmdbrounds', 'boxsets13.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]Boondock Saints', 'movies2&url=tmdbboon', 'boxsets13.png', 'DefaultRecentlyAddedMovies.png')                
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]Bourne', 'movies2&url=tmdbbourne', 'boxsets13.png', 'DefaultRecentlyAddedMovies.png')               
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]The Butterfly Effect', 'movies2&url=tmdbbutterfly', 'boxsets13.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]Childs Play', 'movies2&url=tmdbchilds', 'boxsets13.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]The Conjuring', 'movies2&url=tmdbconjuring', 'boxsets13.png', 'DefaultRecentlyAddedMovies.png')             
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]Crank', 'movies2&url=tmdbcrank', 'boxsets13.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]Die Hard', 'movies2&url=tmdbdie', 'boxsets13.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]Dirty Harry', 'movies2&url=tmdbdirtyh', 'boxsets13.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]Fast and Furious', 'movies2&url=tmdbfurious', 'boxsets13.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]Friday The 13th', 'movies2&url=tmdbfriday13', 'boxsets13.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]Ghost Rider', 'movies2&url=tmdbghost', 'boxsets13.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]The Grudge', 'movies2&url=tmdbgrudge', 'boxsets13.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]Halloween', 'movies2&url=tmdbhalloween', 'boxsets13.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]Hannibal Lecter', 'movies2&url=tmdbhannibal', 'boxsets13.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]Hellraiser', 'movies2&url=tmdbhell', 'boxsets13.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]The Hills Have Eyes', 'movies2&url=tmdbhills', 'boxsets13.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]Hunger Games', 'movies2&url=tmdbhunger', 'boxsets13.png', 'DefaultMovies.png')
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]Insidious', 'movies2&url=tmdbinsidious', 'boxsets13.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]James Bond', 'movies2&url=tmdbjames', 'boxsets13.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]Jaws', 'movies2&url=tmdbjaws', 'boxsets13.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]Jurassic Park', 'movies2&url=tmdbjurassic', 'boxsets13.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]Kickboxer', 'movies2&url=tmdbkickboxer', 'boxsets13.png', 'DefaultMovies.png')
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]Kill Bill', 'movies2&url=tmdbkill', 'boxsets13.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]Last Summer', 'movies2&url=tmdblast', 'boxsets13.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]Lethal Weapon', 'movies2&url=tmdblethal', 'boxsets13.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]Machete', 'movies2&url=tmdbmachete', 'boxsets13.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]Maze Runner', 'movies2&url=tmdbmaze', 'boxsets13.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]The Mechanic', 'movies2&url=tmdbmechanic', 'boxsets13.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]Mission Impossible', 'movies2&url=tmdbmission', 'boxsets13.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]Now You See Me', 'movies2&url=tmdbnysm', 'boxsets13.png', 'DefaultRecentlyAddedMovies.png')         
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]Oceans', 'movies2&url=tmdboceans', 'boxsets13.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]Olympus Has Fallen', 'movies2&url=tmdbolympus', 'boxsets13.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]Ong Bak', 'movies2&url=tmdbong', 'boxsets13.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]Paranormal Activity', 'movies2&url=tmdbparanormal', 'boxsets13.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]Poltergeist', 'movies2&url=tmdbpolter', 'boxsets13.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]Predator', 'movies2&url=tmdbpredator', 'boxsets13.png', 'DefaultMovies.png')
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]The Protector', 'movies2&url=tmdbprotector', 'boxsets13.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]Psycho', 'movies2&url=tmdbpsycho', 'boxsets13.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]The Purge', 'movies2&url=tmdbpurge', 'boxsets13.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]Quarantine', 'movies2&url=tmdbquarantine', 'boxsets13.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]The Raid', 'movies2&url=tmdbraid', 'boxsets13.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]Rambo', 'movies2&url=tmdbrambo', 'boxsets13.png', 'DefaultRecentlyAddedMovies.png')         
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]Saw', 'movies2&url=tmdbsaw', 'boxsets13.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]Sin City', 'movies2&url=tmdbsin', 'boxsets13.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]Taken', 'movies2&url=tmdbtaken', 'boxsets13.png', 'DefaultRecentlyAddedMovies.png')         
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]Transporter', 'movies2&url=tmdbtransporter', 'boxsets13.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]Under Siege', 'movies2&url=tmdbunder', 'boxsets13.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]Underworld', 'movies2&url=tmdbunderworld', 'boxsets13.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]Universal Soldier', 'movies2&url=tmdbuniversal', 'boxsets13.png', 'DefaultRecentlyAddedMovies.png')         
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]VHS', 'movies2&url=tmdbvhs', 'boxsets13.png', 'DefaultRecentlyAddedMovies.png')
                self.addDirectoryItem('[B][COLOR aqua]• [/COLOR][/B]xXx', 'movies2&url=tmdbxxx', 'boxsets13.png', 'DefaultRecentlyAddedMovies.png')             


                self.endDirectory()



        


    def downloads(self):
        movie_downloads = control.setting('movie.download.path')

        if len(control.listDir(movie_downloads)[0]) > 0:
            self.addDirectoryItem(32001, movie_downloads, 'boxsets13.png', 'boxsets13.png', isAction=False)
        self.endDirectory()



    def views(self):
        try:
            control.idle()

            items = [ (control.lang(32001).encode('utf-8'), 'movies'), (control.lang(32002).encode('utf-8'), 'tvshows'), (control.lang(32054).encode('utf-8'), 'seasons'), (control.lang(32038).encode('utf-8'), 'episodes') ]

            select = control.selectDialog([i[0] for i in items], control.lang(32049).encode('utf-8'))

            if select == -1: return

            content = items[select][1]

            title = control.lang(32059).encode('utf-8')
            url = '%s?action=addView&content=%s' % (sys.argv[0], content)

            poster, banner, fanart = control.addonPoster(), control.addonBanner(), control.addonFanart()

            item = control.item(label=title)
            item.setInfo(type='Video', infoLabels = {'title': title})
            item.setArt({'icon': poster, 'thumb': poster, 'poster': poster, 'tvshow.poster': poster, 'season.poster': poster, 'banner': banner, 'tvshow.banner': banner, 'season.banner': banner})
            item.setProperty('Fanart_Image', fanart)

            control.addItem(handle=int(sys.argv[1]), url=url, listitem=item, isFolder=False)
            control.content(int(sys.argv[1]), content)
            control.directory(int(sys.argv[1]), cacheToDisc=True)

            from resources.lib.modules import cache
            views.setView(content, {})
        except:
            return


    def accountCheck(self):
        if traktCredentials == False and imdbCredentials == False:
            control.idle()
            control.infoDialog(control.lang(32042).encode('utf-8'), sound=True, icon='WARNING')
            sys.exit()


    def clearCache(self):
        control.idle()
        yes = control.yesnoDialog(control.lang(32056).encode('utf-8'), '', '')
        if not yes: return
        from resources.lib.modules import cache
        cache.clear()
        control.infoDialog(control.lang(32057).encode('utf-8'), sound=True, icon='INFO')


    def addDirectoryItem(self, name, query, thumb, icon, queue=False, isAction=True, isFolder=True):
        try: name = control.lang(name).encode('utf-8')
        except: pass
        url = '%s?action=%s' % (sysaddon, query) if isAction == True else query
        thumb = os.path.join(artPath, thumb) if not artPath == None else icon
        cm = []
        if queue == True: cm.append((queueMenu, 'RunPlugin(%s?action=queueItem)' % sysaddon))
        item = control.item(label=name)
        item.addContextMenuItems(cm)
        item.setArt({'icon': thumb, 'thumb': thumb})
        if not addonFanart == None: item.setProperty('Fanart_Image', addonFanart)
        control.addItem(handle=syshandle, url=url, listitem=item, isFolder=isFolder)


    def endDirectory(self):
        control.directory(syshandle, cacheToDisc=True)


